%define	pkgname	cyassl
%define soname	5
%define	libname	lib%{pkgname}%{soname}

Name:		%{libname}
Version:	2.9.0
Release:	7.1
Summary:	Embedded SSL Library 
Group:		Development/Libraries
License:	GPLv2
Source0:	%{pkgname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-root

%description
The CyaSSL embedded SSL library is a lightweight, portable,
C-language-based SSL/TLS library targeted at IoT, embedded,
and RTOS environments primarily because of its size, speed, and feature set.
It works seamlessly in desktop, enterprise, and cloud environments as well.
CyaSSL supports industry standards up to the current TLS 1.2 and DTLS 1.2,
is up to 20 times smaller than OpenSSL, offers a simple API,
an OpenSSL compatibility layer, OCSP and CRL support,
is backed by the robust wolfCrypt cryptography library, and much more.

%package -n lib%{pkgname}-devel
Group:		Development/Libraries
Summary:	Embedded SSL Library 
Provides:	yaSSL-devel = %{version}-%{release}
Provides:	cyassl-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n lib%{pkgname}-devel
Development files for cyaSSL.

%prep
%setup -n %{pkgname}-%{version}

%build
%configure \
	--enable-tlsx \
	--enable-sni \
	--enable-ocsp \
	--enable-md4 \
	--enable-dsa \
	--enable-ecc \
	--enable-sha512 \
	--enable-dtls

%install
%__make DESTDIR=%{buildroot} install
rm -rf %{buildroot}%{_datadir}/doc/%{pkgname}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{_libdir}/libcyassl.so.5.0.3

%files -n lib%{pkgname}-devel
%defattr(-,root,root)
%{_includedir}/cyassl
%{_libdir}/libcyassl.so.5
%{_libdir}/libcyassl.so
%{_libdir}/libcyassl.la
%{_bindir}/cyassl-config
%{_libdir}/pkgconfig/cyassl.pc

%changelog
* Sun Mar 23 2014 cs@linux-administrator.com
- initial package
